Bug 276071 - ejabberdctl is not working as expected
ejabberdctl is not working as expected
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ejabberd (Show other bugs)
rawhide
x86_64 All
medium Severity high
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-04 08:01 EDT by Vaclav "sHINOBI" Misek
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.1.3-11.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-10 12:53:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vaclav "sHINOBI" Misek 2007-09-04 08:01:13 EDT
Description of problem:
When you use ejabberctl for example "ejabberdctl ejabberd@hostname status" the
command lists usage and doesn't execute the command.

Version-Release number of selected component (if applicable):
ejabberd-1.1.3-10.fc8


Actual results:


Expected results:


Additional info:
It seems to me, that ejabberdctl wrapper should be corrected to:

-exec /sbin/runuser -s /bin/bash - ejabberd -c "erl -pa
/usr/lib64/ejabberd-1.1.3/ebin -noinput -sname ejabberdctl -s ejabberd_ctl
-extra $@"
+exec /sbin/runuser -s /bin/bash - ejabberd -c "erl -pa
/usr/lib64/ejabberd-1.1.3/ebin -noinput -sname ejabberdctl -s ejabberd_ctl
-extra $*"

as the parameters should be passed to the script in one line. With the $*
ejabberdctl is working as expected.
Comment 1 Fedora Update System 2007-09-04 18:07:21 EDT
ejabberd-1.1.3-11.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 2 Vaclav "sHINOBI" Misek 2007-09-08 18:56:48 EDT
Great. Thanks a lot!
Comment 3 Fedora Update System 2007-09-10 12:53:15 EDT
ejabberd-1.1.3-11.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.